import path from "node:path";
import Executor from "../../sockets/clients/Executor.js";
import { normalize } from "./executor-configurator.js";
const { default: executorConfig } = await import(
  path.resolve("executor.config.js")
);

// Load config and args
const args = process.argv.slice(2);
const config = normalize(executorConfig(args));
// Start Executor
const exec = new Executor(args, config);
exec.runJob();
